[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: versioning trouble

Thanks for the precision:
versionning with cvs really confused me.

On 22/02/12 05:43, Bartosz Feński wrote:
W dniu 22.02.2012 02:42, Jerome BENOIT pisze:
Thanks for the prompt reply.

On 22/02/12 02:34, Paul Wise wrote:
On Wed, Feb 22, 2012 at 8:46 AM, Jerome BENOIT wrote:

Three days ago I uploaded for sponsoring my package with version
2.54+cvs20120219 which obviously cvs version.

You should have used 2.54~cvs20120219 instead, since that sorts before
2.54 (note the special ~ character).

My mistake:
I will keep it in mind for next cvs based packages.

For future uploads in your scenario another correct approach would be 2.53+cvs20120219, since it's really 2.53 + some changes from CVS dated 20120219.

The tilde (~) character is useful if an upstream released alpha/beta/release-candidate. Then you can upload 2.70~beta1 for example and when there's final 2.70 version then 2.70-1 is still newer than this beta.

Meanwhile, more precisely yesterday, the upstream maintainer finally
released version 2.54, so now I plan
to upload an upstream version of my package with version 2.54.
But, according to `dch', version 2.54 is less than 2.54+cvs20120219: how can
I can manage it ?
May I force version 2.54 ? may I use some work around here ?

If the package has not yet been uploaded to Debian,

it was.

just edit the
changelog with your favourite text editor and change 2.54+cvs20120219
to 2.54 then update the packaging if needed.

I will work around it by creating a Debian source package, 2.54+ds is greater than 2.54+cvs20120219:
it planed to do so sooner or later, so I do it right now.



Reply to: